# Interface AuthenticationFunctionalities

interface AuthenticationFunctionalities {
default_basemap: string[];
default_theme: string[];
filterable_layers?: string[];
open_panel?: string[];
preset_layer_filter?: string[];
}

- Defined in srcapi/store/user.ts:24

#####
Index

### Properties

default_basemap
default_theme
filterable_layers?
open_panel?
preset_layer_filter?

## Properties

### default_basemap

default_basemap: string[]

Base maps to use by default.

- Defined in srcapi/store/user.ts:28

### default_theme

default_theme: string[]

Theme to use by default.

- Defined in srcapi/store/user.ts:32

### `Optional` filterable_layers

filterable_layers?: string[]

A list of layer names that can be filtered.

- Defined in srcapi/store/user.ts:36

### `Optional` open_panel

open_panel?: string[]

When set, contains the name of the panel to open upon loading an application.

- Defined in srcapi/store/user.ts:40

### `Optional` preset_layer_filter

preset_layer_filter?: string[]

Default filtrable datasource name.

- Defined in srcapi/store/user.ts:44

Generated using TypeDoc